{% extends "layout.html" %}
{% import "bootstrap/wtf.html" as wtf %}


{% block title %}
{{page.title}}
{% endblock %}


{% block head %}
    {{ super() }}
    <link rel="stylesheet" href="https://cdn.datatables.net/1.10.20/css/dataTables.bootstrap4.min.css">
{% endblock %}


{% block content %}
<div class="row">
  <div class="col-sm-12">
    <div class="card card-primary card-outline">
      <div class="card-header">
          <h3 class="card-title">
            <i class="fas fa-user-plus"></i>
              {{page.layout.translate("Users list", page.user.lang)}}
          </h3>
          <div class="card-tools">
              <!-- no thing to put here -->
          </div>
      </div>
      <div class="card-body pad table-responsive">
          {% if message.success != None %}
          <div class="alert alert-success alert-dismissible">
              <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
              <h5><i class="icon fas fa-check"></i> {{page.layout.translate("Alert", page.user.lang)}}!</h5>
              {{message.success}}
          </div>
          {% endif %}
          {% if message.error != None %}
          <div class="alert alert-danger alert-dismissible">
              <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
              <h5><i class="icon fas fa-ban"></i> {{page.layout.translate("Alert", page.user.lang)}}!</h5>
              {{message.error}}
          </div>
          {% endif %}
        <table id="usersList" class="table table-hover">
            <thead>
                <tr>
                  <th>{{page.layout.translate("Account", page.user.lang)}}</th>
                  <th>{{page.layout.translate("Category", page.user.lang)}}</th>
                  <th>{{page.layout.translate("Contact", page.user.lang)}}</th>
                  <th>{{page.layout.translate("Actions", page.user.lang)}}</th>
                </tr>
            </thead>
            <tbody>
                {% for user in users %}
                <tr>
                    <td>
                        {{user.first_name}} {{user.last_name}} <small>({{user.username}})</small>
                    </td>
                    <td>{{user.category.name}}</td>
                    <td>
                        <i class="fas fa-envelope"></i> <a href="mailto:{{user.contact.email}}">{{user.contact.email}}</a><br>
                        <i class="fas fa-phone-square"></i> {% if user.contact.phone.number != None %}(+{{user.contact.phone.country_code}}){{user.contact.phone.number}}{%endif%}<br>
                        <i class="fas fa-map-marker-alt"></i>
                        <address>
                            {% if user.contact.address_1 != None %} user.contact.address_1 <br> {% endif %}
                            {% if user.contact.address_2 != None %} user.contact.address_2 <br> {% endif %}
                            {% if user.contact.city != None %} user.contact.city {% endif %} {% if user.contact.zip != None %} user.contact.zip <br>{% endif %}
                            {% if user.contact.country != None %} user.contact.country {% endif %}
                        </address>
                    </td>

                    <td>
                        <div class="btn-group">
                            <button type="button" class="btn dropdown-toggle" data-toggle="dropdown">
                                <i class="fas fa-ellipsis-v"></i>
                            </button>
                            <div class="dropdown-menu">
                                <a class="dropdown-item" href="/admin/users/edit/{{user.reference}}">
                                    <i class="fas fa-user-edit"></i> {{page.layout.translate("Edit", page.user.lang)}}
                                </a>
                                <a class="dropdown-item" href="#" data-toggle="modal" data-target="#deleteUser_{{user.reference}}">
                                    <i class="fas fa-trash"></i> {{page.layout.translate("Delete", page.user.lang)}}
                                </a>
                            </div>
                        </div>
                    </td>
                </tr>
                {% endfor %}
            </tbody>
        </table>
      </div>
    </div>
  </div>
</div>
{% endblock %}


{% block subscribe_script %}
<script src="https://cdn.datatables.net/1.10.20/js/jquery.dataTables.min.js"></script>
<script src="https://cdn.datatables.net/1.10.20/js/dataTables.bootstrap4.min.js"></script>
<script>
  $(function () {
    $("#usersList").DataTable({
      "responsive": true,
      "autoWidth": false,
      "fixedHeader": true
    });
  });
</script>


{% for user in users %}
<div class="modal fade" id="deleteUser_{{user.reference}}">
    <div class="modal-dialog modal-lg">
      <div class="modal-content">
        <div class="modal-header">
          <h4 class="modal-title">
              <i class="fas fa-trash"></i> {{page.layout.translate("Delete user", page.user.lang)}}
          </h4>
          <button type="button" class="close" data-dismiss="modal" aria-label="Close">
            <span aria-hidden="true">&times;</span>
          </button>
        </div>
        <div class="modal-body">
          <p>{{page.layout.translate("Delete", page.user.lang)}} {{user.first_name}} {{user.last_name}} <small>({{user.username}})</small>?</p>
        </div>
        <div class="modal-footer">
          <button type="button" class="btn btn-default btn-flat" data-dismiss="modal">{{page.layout.translate("Cancel", page.user.lang)}}</button>
          <button type="button" class="btn btn-primary btn-flat" onclick="location.href='/admin/users/delete/{{user.reference}}';">{{page.layout.translate("Delete", page.user.lang)}}</button>
        </div>
      </div>
    </div>
</div>
{% endfor %}

{% endblock %}
